xml-hamlet-0.5.0.2: Hamlet-style quasiquoter for XML content

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Hamlet.XML

Synopsis

- xml :: QuasiQuoter
- xmlFile :: FilePath -> Q Exp
- class ToAttributes a where
  - toAttributes :: a -> Map Name Text

# Documentation

xml :: QuasiQuoter #

xmlFile :: FilePath -> Q Exp #

class ToAttributes a where #

Convert some value to a list of attribute pairs.

Methods

toAttributes :: a -> Map Name Text #

#### Instances

Instances details

ToAttributes [(Text, Text)] # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(Text, Text)] -> Map Name Text #
ToAttributes [(Name, Text)] # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(Name, Text)] -> Map Name Text #
ToAttributes [(String, String)] # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: [(String, String)] -> Map Name Text #
ToAttributes (Map Text Text) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map Text Text -> Map Name Text #
ToAttributes (Map Name Text) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map Name Text -> Map Name Text #
ToAttributes (Map String String) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: Map String String -> Map Name Text #
ToAttributes (Text, Text) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (Text, Text) -> Map Name Text #
ToAttributes (Name, Text) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (Name, Text) -> Map Name Text #
ToAttributes (String, String) # |
Instance details Defined in Text.Hamlet.XML Methods toAttributes :: (String, String) -> Map Name Text #